org.aspectj.runtime

## Class CFlow

- java.lang.Object
- - org.aspectj.runtime.CFlow

Direct Known Subclasses:
  CFlowPlusState

    public class CFlow
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CFlow()`
`CFlow(Object _aspect)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `get(int index)`
`Object` `getAspect()`
`void` `setAspect(Object _aspect)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CFlow

    public CFlow()

#### CFlow

    public CFlow(Object _aspect)

### Method Detail

#### getAspect

    public Object getAspect()

#### setAspect

    public void setAspect(Object _aspect)

#### get

    public Object get(int index)